<template>
  <component :is="currentComponent"></component>
</template>

<script>
export default {
  name: 'xm-layout',
  props: [
    'theme', // 有可能来自 store
  ],
  components: {
    defaultLayout: () => import('./default'),
  },
  computed: {
    currentComponent() {
      return `${this.theme || 'default'}-layout`
    }
  }
}
</script>
